%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           bzr
Version:        0.91
Release:        1%{?dist}
Summary:        Friendly distributed version control system

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.bazaar-vcs.org/
Source0:        http://bazaar-vcs.org/releases/src/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
# We're using an old version of Pyrex, use the pregenerated C files instead
# of rebuilding
#BuildRequires: Pyrex
Requires:   python-paramiko

# ElementTree is part of python2.5 on FC7+
%if 0%{?fedora} <= 6
BuildRequires:   python-elementtree
Requires:   python-elementtree
%endif

%description
Bazaar is a distributed revision control system that is powerful, friendly,
and scalable.  It is the successor of Baz-1.x which, in turn, was
a user-friendly reimplementation of GNU Arch.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT

# This is included in %doc, remove redundancy here
#rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/doc/

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/util/elementtree/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NEWS README TODO COPYING.txt doc/
%{_bindir}/bzr
%{_mandir}/man1/*

%{python_sitearch}/bzrlib/

%changelog
* Tue Aug 28 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.91-1
- Update to 0.91.
  + Fixes some issues with using tag-enabled branches.

* Tue Aug 28 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.90-1
- Update to 0.90

* Mon Aug 27 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.90-0.1.rc1
- Update to 0.90rc1.
- 0.90 contains some pyrex code to speed things up.  bzr is now arch specific.
- Update license tag.

* Wed Jul 25 2007 Warren Togami <wtogami@redhat.com> - 0.18-1
- Update to 0.18.

* Tue Jun 26 2007 Warren Togami <wtogami@redhat.com>  - 0.17-2
- Update to 0.17.

* Tue May 08 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.16-1
- Update to 0.16.

* Thu Mar 22 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.15-1
- Update to 0.15.
- Simplify the %%files list.

* Tue Jan 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.14-1
- Update to 0.14

* Sun Dec 10 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13-2
- Conditionalize the python-elementtree requires as python2.5 in FC7 includes
  elementtree

* Wed Dec 6 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13-1
- Update to 0.13

* Thu Oct 30 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.12-1
- Update to 0.12

* Thu Oct 08 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.11-1
- Update to 0.11
- New download location.

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10-1
- 0.10

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.9-1
- Update to new upstream

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.8.2-3
- Include, don't ghost .pyo files per new guidelines

* Mon Jun 26 2006 Shahms E. King <shahms@shahms.com> 0.8.2-2
- Require python-paramiko for sftp support

* Tue May 23 2006 Shahms E. King <shahms@shahms.com> 0.8.2-1
- Update to new upstream version
- Fix dist tag

* Wed May 10 2006 Shahms E. King <shahms@shahms.com> 0.8-1
- Update to new upstream version
- Update bzr-sys-etree.patch for changes

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-3
- Add python-elementtree to BuildRequires

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-2
- Add dist tag

* Fri Feb 10 2006 Shahms E. King <shahms@shahms.com> 0.7-1
- Update to 0.7

* Thu Jan 26 2006 Shahms E. King <shahms@shahms.com> 0.6.2-2
- Fix system library patch

* Wed Dec 07 2005 Shahms E. King <shahms@shahms.com> 0.6.2-1
- Initial package
